<!-- prettier-ignore-start -->
# Class MapEntry

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.util.MapEntry](dw.util.MapEntry.md)

The class represent an entry within a Map.


## Property Summary

| Property | Description |
| --- | --- |
| [key](#key): [Object](TopLevel.Object.md) `(read-only)` | Returns the entry's key. |
| [value](#value): [Object](TopLevel.Object.md) `(read-only)` | Returns the entry's value. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getKey](dw.util.MapEntry.md#getkey)() | Returns the entry's key. |
| [getValue](dw.util.MapEntry.md#getvalue)() | Returns the entry's value. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### key
- key: [Object](TopLevel.Object.md) `(read-only)`
  - : Returns the entry's key.


---

### value
- value: [Object](TopLevel.Object.md) `(read-only)`
  - : Returns the entry's value.


---

## Method Details

### getKey()
- getKey(): [Object](TopLevel.Object.md)
  - : Returns the entry's key.

    **Returns:**
    - the entry's key.


---

### getValue()
- getValue(): [Object](TopLevel.Object.md)
  - : Returns the entry's value.

    **Returns:**
    - the entry's value.


---

<!-- prettier-ignore-end -->
